#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
Summary:	Shout - Perl glue for libshout streaming source library
Summary(pl.UTF-8):	Shout - perlowy interfejs do biblioteki strumieni libshout
Name:		perl-Shout
Version:	2.1
Release:	20
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://downloads.xiph.org/releases/libshout/Shout-%{version}.tar.gz
# Source0-md5:	7171eb8f9e60d6c5cc6c469ba0f32dc9
URL:		http://icecast.org/
BuildRequires:	libshout-devel >= 2.1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is an object-oriented interface to libshout, an Ogg Vorbis
and MP3 streaming library that allows applications to easily
communicate and broadcast to an Icecast streaming media server. It
handles the socket connections, metadata communication, and data
streaming for the calling application, and lets developers focus on
feature sets instead of implementation details.

%description -l pl.UTF-8
Ten moduł jest zorientowanym obiektowo interfejsem do libshout -
biblioteki strumieni Ogg Vorbis i MP3 umożliwiającej aplikacjom łatwe
komunikowanie się i rozgłaszanie do serwera strumieni multimedialnych
Icecast. Obsługuje połączenia przez gniazda, komunikację z metadanymi,
strumienie danych dla aplikacji wywołującej oraz pozwala programistom
skupić się na możliwościach zamiast szczegółach implementacji.

%prep
%setup -q -n Shout-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example*.pl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorarch}/Shout.pm
%dir %{perl_vendorarch}/auto/Shout
%{perl_vendorarch}/auto/Shout/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Shout/Shout.so
%{_examplesdir}/%{name}-%{version}
%{_mandir}/man3/Shout.3*
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Shout.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> ffb5c3c
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> cdd959f
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 914f2be
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 2c1f517
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 8c39847
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> f4bc6f6
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> de2afa1
- rebuild with perl 5.30.0
- release 15 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> ad89b6e
- rebuild with perl 5.28.0
- release 14 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> fd3ee9d
- perl req/prov fix
- release 13 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 9f780d8
- rebuild with perl 5.26
- release 12 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> e58af69
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 458ef24
- release 10 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> b7eef7a
- x32 rebuild
- release 9 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 36d9b5c
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> c6951fd
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 585d784
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Fri Jun 14 2013 Jan Rękorajski <baggins@pld-linux.org> 8438c36
- release 6 (by relup.sh)

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> f9a0cb4
- fix vuilding on 32-bit archs

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> a77716f
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> dec3155
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

